%define upstream_name    SVN-Class
%define upstream_version 0.18

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Represents the repository of a Subversion workspace
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SVN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dump)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Cmd) >= 0.400.0
BuildRequires: perl(IPC::Run)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Path::Class::File::Stat)
BuildRequires: perl(Rose::Object)
BuildRequires: perl(Rose::URI)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
SVN::Class extends Path::Class to allow for basic Subversion workspace
management. SVN::Class::File and SVN::Class::Dir are subclasses of
Path::Class::File::Stat and Path::Class::Dir respectively.

SVN::Class does not use the SVN::Core Subversion SWIG bindings. Instead,
the 'svn' binary tool is used for all interactions, using IPC::Cmd. This
design decision was made for maximum portability and to eliminate non-CPAN
dependencies.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%if %{?_with_test:1}%{!?_with_test:0}
#export SVN_CLASS_TMP_DIR=/tmp/%{name}-%{version}-test
%make_build test
#rm -Rf $SVN_CLASS_TMP_DIR
%endif

%install
%make_install

%files
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.180.0-6.mga9
+ Revision: 1805840
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.180.0-5.mga8
+ Revision: 1497236
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.180.0-4.mga7
+ Revision: 1271255
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1033567
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 966863
- Mageia 6 Mass Rebuild

* Sun Jun 28 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 846989
- update to 0.18

* Sun Oct 19 2014 umeabot <umeabot> 0.170.0-6.mga5
+ Revision: 788863
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 745412
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 686157
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 514497
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 372465
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 08 2011 kharec <kharec> 0.170.0-1.mga2
+ Revision: 165627
- update to 0.17

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 34214
- mageia rebuild
- imported package perl-SVN-Class


* Tue Oct 26 2010 Buchan Milne <bgmilne@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 589497
- import perl-SVN-Class

